<HTML>
<a name="Top"></a>

<HEAD>
<TITLE>IP Routing Simulation</TITLE>
</HEAD>

<BODY bgcolor="#DEE7FE">
<font color="black" size="4" face="arial"><h1>IP Routing Simulation</h1></font>
<font color="black" size="3" face="arial">
<a href="http://www.raduniversity.com">Back to Rad University</a>&nbsp;&nbsp;&nbsp;
<a href="#Questions">How to Use This Applet</a><br><br>

<APPLET CODE="mtutr/IPKit.class" ARCHIVE="mtutr.jar" width=750 height=640>

</APPLET>

<br><br>
Written by:
<ul type="disc">
<li>Gil Messerman</li>
<li>Gilad Karni</li>
<li>Uri Braun</li>
</ul>

Written for "Protocols and Computer Networks" course at Tel Aviv University.

<br><br>
-------------------------------------------------------------------------------
<br><br>
<a name="Questions"></a><h2>Questions: How do I...</h2>

<a name="Network"></a><img src="21.gif" width = 70 height = 48>
<br><b>Network</b> <ul type="disc">
<li><a href="#Adding a network">Add a network</a></li>
<li><a href="#Adding a host to a network">Add a host to a network</a></li>
<li><a href="#Editing a network">Edit a network</a></li>
	<ul type="disc">
	<li><a href="#Defining network's address pool">Define network's address pool</a></li>
	<li><a href="#Defining network's MTU">Define network's MTU</a></li>
	</ul>

<li><a href="#Set network's default gateway">Set network's default gateway</a></li>
<li><a href="#Connecting a router to a network">Connect a network to a router \ Disconnect a network from a router</a></li>
<li><a href="#Removing a network">Remove a network</a></li>
</ul>

<a href="#"></a>

<a name="Router"></a><img src="29.gif">
<br><b>Router</b> <ul type="disc">
<li><a href="#Adding a router">Add a router</a></li>
<li><a href="#Editing a router">Edit a router</a></li>
<li><a href="#Connecting a router to a network">Disconnect a router from a network \ Disconnect a router from a network</a></li>
<li><a href="#Removing a router">Remove a router</a></li>
</ul>

<a name="Host"></a><img src="19.gif">
<br><b>Host</b> <ul type="disc">
<li><a href="#Adding a host to a network">Add a host to a network</a></li>
<li><a href="#Removing a host">Remove a host</a></li>
</ul>

<a name="Datagram"></a><img src="10.gif">
<br><b>Datagram</b> <ul type="disc">
<li><a href="#Adding a datagram">Add a datagram</a></li>
<li><a href="#Editing a datagram">Edit a datagram</a></li>
	<ul type="disc">
	<li><a href="#Setting a datagram's source & target hosts">Set a datagram's source & target hosts</a></li>
	<li><a href="#Setting a datagram's source host">Set a datagram's source host</a></li>
	<li><a href="#Setting a datagram's target host">Set a datagram's target host</a></li>
	<li><a href="#Setting a datagram's length">Set a datagram's length</a></li>
	<li><a href="#Setting a datagram's TTL">Set a datagram's TTL</a></li>
	</ul>
<li><a href="#Sending a datagram">Send a datagram</a></li>
<li><a href="#Removing a datagram">Remove a datagram</a></li>
</ul>

<a name="FAQ"></a><b>FAQ</b> <ul type="disc">
<li><a href="#PlaceNetworks">What is the purpose of "<b><i>Place Networks</i></b>"?</a></li>
<li><a href="#Why can't I add a host to a network?">Why can't I add a host to a network?</a></li>
<li><a href="#RemoveAll">How can I remove all objects from main panel?</a></li>
<li><a href="#Why can't I send a datagram?">Why can't I send a datagram?</a></li>
<li><a href="#How does a host gets its IP address?">How does a host get its IP address?</a></li>
</ul>




<br>---------------------------------------------------------------------------<br>

<h2>Answers: How do you...</h2>
<a name=""></a>

<img src="21.gif" width = 70 height = 48>
<br><b>Network</b> <ul type="disc">
<li><a name="Adding a network"></a><u>Add a network</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Network">Network</a></font></li>
	<br>
	<br><ul type="disc">Right clicking on the main panel will cause a menu to pop up.
	<br>Choose "<i><b>Add Network</b></i>" and a new network will show up on the main panel.<br><img src="3.jpg"></ul>
	<br>
<li><a name="Adding a host to a network"></a><u>Add a host to a network</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Network">Network</a></font></li>
	<ul type="disc">
	<br>Right clicking on the network will cause a menu to pop up.
	<br>Choose "<i><b>Add Host</b></i>" and a host will be added to the network.
	<br><img src="2.jpg"><br>
	<br><a href="#Why can't I add a host to a network?"><b>FAQ</b></a> - "<i><b>Add Host</b></i>" is disabled. Why can't I add a host to a network?
	<br><a href="#How does a host gets its IP address?"><b>FAQ</b></a> - How does a host gets its IP address?</ul>
	<br>
<li><a name="Editing a network"></a><u>Edit a network</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Network">Network</a></font></li>
	<ul type="disc">
	<br>
	<a name="IPPoolDefine"></a>
	<li><a name="Defining network's address pool"></a><u>Define network's address pool</u>
	<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Network">Network</a></font></li>
		<ul type="disc">
		<br>Right click on the network you want to edit.
		<br>A menu will pop up. Choose "<i><b>Edit Network</b></i>" and a window with the network properties will be opened.
		<br><img src="15.jpg">
		<br>You can also double-click on the network in order to open the same window.
		<br>
		<br>In that window you can define the network's address pool (Class based or CIDR based).
		<br><img src="5.jpg">
		<br>
		<br>After defining a network's address pool the network's address
		<br>pool will appear on the network's icon:
		<br><img src="22.jpg">
		<br>
		<br></ul>
	<li><a name="Defining network's MTU"></a><u>Define network's MTU</u>
	<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Network">Network</a></font></li>
		<ul type="disc">
		<br>Right click on the network you want to edit.
		<br>A menu will pop up. Choose "<i><b>Edit Network</b></i>" and a window with the network properties will be opened.
		<br><img src="15.jpg">
		<br>You can also double-click on the network in order to open the same window.
		<br>
		<br>In that window you can define the network's MTU.
		<br><img src="20.jpg">
		<br></ul>
	</ul>
	<br>
<li><a name="Set network's default gateway"></a><u>Set network's default gateway</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Network">Network</a></font></li>
	<ul type="disc">
	<br>When connecting a network to a router for the first time,
	<br>the router is automatically set to be the network's default gateway.
	<br>
	<br>The default gateway of a network is denoted with a "<b>d</b>" on the line
	<br>connecting the network and the default gateway.
	<br><img src="13.jpg"><br>
	<br>
	<br>However, if your network is connected to more than one router and you
	<br>want to change the default gateway of network, you need to perform
	<br>a right click on the selected network and choose "<i><b>Set Default Gateway</b></i>"
	<br>on the menu that will pop up.
	<br><img src="32.jpg">
	<br>
	<br>A bar indicating you are now choosing the default gateway will appear at the head of the main panel.
	<br><img src="17.jpg">
	<br>
	<br>Then, all possible default gateways will be marked with a <font color="blue" size="3" face="arial">blue</font> rectangle.
	<br>You can choose any of them to be the default gateway of the network.
	<br>The Chosen default gateway will be marked with a <font color="green" size="3" face="arial">green</font> rectangle.
	<br><img src="6.jpg">
	<br>
	<br>When you're done choosing the default gateway, click the button "<i><b>Done</b></i>" at the bar at the head of the panel.
	<br>The default gateway will be set.
	<br>
	<br>Read more about removing default gateways <a href="#removedg">here</a>.
	</ul>
	<br>
<li><u>Connect a network to a router \ Disconnect a network from a router</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Network">Network</a></font></li>
	<ul type="disc">
	<br>
	<a href="#Connecting a router to a network">Click Here</a></ul>
	<br>
<li><a name="Removing a network"></a><u>Remove a network</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Network">Network</a></font></li>
	<ul type="disc">
	<br>Right clicking on a network will cause a menu to pop up.
	<br>Choose "<i><b>Remove Network</b></i>".
	<br><img src="27.jpg">
	<br>
	<br>The network will be removed from the main panel along with its hosts.
	<br>
	</ul>
</ul>

<br><br>---------------------------------------------------------------------------<br><br>


<img src="29.gif"><br>
<b>Router</b> <ul type="disc">
<li><a name="Adding a router"></a><u>Add a router</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Router">Router</a></font></li>
	<ul type="disc"><br>Right clicking on the main panel will cause a menu to pop up.
	<br>Choose "<i><b>Add Router</b></i>" and a new router will show up on the main panel.
	<br><img src="4.jpg">
	<br>
	<br></u></ul>

<li><a name="Editing a router"></a><u>Edit a router</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Router">Router</a></font></li>
	<br>
	<br>Right clicking on the router will cause a menu to pop up.
	<br>Choose "<i><b>Edit Routing Table</b></i>".
	<br><img src="16.jpg"><br>
	<br>
	<br>This will cause an opening of a new window:
	<br><img src="43.jpg">
	<br>
	<br>This window allows the user to define a routing table for the selected router.
	<br>The structure of a routing table is a list of lines where each line contains 4 elements:
	<br>
	<table cellpadding="14">
		<tr>
			<td valign="top"><b>Network destination</b></td>
			<td>Used to define destination network. This value is compared with part of datagram's target
				<br>IP address according to <b>Netmask</b> value. The network destination value might be either
				<br>IP address of one of the defined networks or an address that aggregates several networks
				<br>(supernet).
				<br>For example in order to route a datagram to either network 192.168.10.0 or
				<br>192.168.11.0 using same <b>Interface</b> of selected router, the user may define network
				<br>destination to be 192.168.0.0 with appropriate <b>Netmask</b> (255.255.0.0).</td>
		</tr>
		<tr>
			<td valign="top"><b>Netmask</b></td>
			<td>Used to differ the prefix of datagram's target IP, which should be compared with the current
				<br>entry's <b>Network destination</b> value.</td>
		</tr>
		<tr>
			<td valign="top"><b>Next hop</b></td>
			<td>Used to define a router to which a datagram will be forwarded from current router in case
				<br><b>Network Destination</b> matches to defined prefix of datagram's target IP address.
				<br>Two different cases of selection are available for this field:
				<ol type="i" start="1">
					<li>In case the datagram's destination network is not one of the networks that selected router
						<br>is connected to, the user should select the next hop to be a router's IP address that will
						<br>handle this datagram further.</li>
					<li>In case the router is connected directly to datagram's destination network,
					<br>then the user should select the IP address of the selected router (on this network).
					<br>In other words, in case the value of this field is an address of the selected router
					<br>itself, the system will attempt to send the datagram directly to the target host.</li>
				</ol></td>
		</tr>
		<tr>
			<td valign="top"><b>Interface</b></td>
			<td>Used to select router's network connection to which datagram will be forwarded if this routing table entry
				<br>will match the datagram's target IP address.</td>
		</tr>
	</table>
	<br> In addition, to the right of each line, there is a "<b><i>Remove</i></b>" button that, when pressed, deletes the appropriate line from the table.
	<br>
	<br> To add a new empty line to routing table the user should click "<b><i>Add new line</i></b>" button. The empty line will appear
	<br> and it must be properly configured, before saving the table or moving to another line in routing table.
	<br>
	<br> In order to create basic routing table, which will be based on current configuration, the user may click, "<b><i>Add entries for
	<br> each interface</i></b>" button. This will add a line for each connected network, which configures the ability to
	<br> forward datagrams directly to hosts that are connected to selected router's network.
	<br>
	<br> In order to create a default routing entry in routing table (to indicate where to forward a datagram that does not
	<br> match any of other entries) the user may click "<b><i>Add default entry</i></b>" button. This will add a line where
	<br> network destination and netmask will match to any datagram and all user has to do is to configure where the datagram
	<br> should be forwarded.
	<br>
	<br>
<li><a name="Connecting a router to a network"></a><u>Connect a router to networks \ Disconnect a router from networks</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Router">Router</a></font></li>
	<ul type="disc">
	<br>Right clicking on the router will cause a menu to pop up.
	<br>Choose "<i><b>Connect to Networks</b></i>".
	<br><img src="9.jpg"><br>
	<br>A bar will show up in the head of the applet indicating you are now connecting the router to a network.
	<br><img src="30.jpg">
	<br>
	<br>A click on a network will mark it with a <font color="green" size="3" face="arial">green</font> rectangle.
	<br>Another click will unmark the <font color="green" size="3" face="arial">green</font> rectangle.
	<br>The <font color="green" size="3" face="arial">green</font> rectangle indicates that the router is connected to the
	<br>network.
	<br><img src="8.jpg">
	<br>
	<br>When you finish connecting \ disconnecting, click the button "<i><b>Done</b></i>" at the bar at the head of the panel.
	<br>The connections you chose to make will be performed.
	<br><img src="7.jpg">
	<br>
	<br></u></ul>
<li><a name="Removing a router"></a><u>Remove a router</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Router">Router</a></font></li>
	<ul type="disc">
	<br>Right clicking on a router will cause a menu to pop up.
	<br>Choose "<i><b>Remove Router</b></i>".
	<br><img src="28.jpg">
	<br>
	<br>The router will be removed from the main panel.
	<br>
	<br><a name="removedg"></a>If you'll choose to remove a router that is happen to be a default gateway
	<br>of a certain network, three cases are possible:
		<ol type="i" start="1">
		<li><u>The network is not connected to other routers besides the default gateway</u>:
		<br>In this case, a message notifying that the default gateway has been removed
		<br>will be presented on the screen.</li>
		<li><u>There's exactly one more router connected to the network besides the default gateway</u>:
		<br>In this case, the other router will be automatically set to be the default gateway.</li>
		<li><u>The network is connected to more than one router besides the default gateway</u>:
		<br>In this case, the user will have the option to choose the default gateway of the network.</li>
	</ol>
	</ul>
</ul>

<br><br>---------------------------------------------------------------------------<br><br>

<img src="19.gif"><br>
<b>Host</b> <ul type="disc">
<li><a name="Adding a host to a network"></a><u>Add a host to a network</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Host">Host</a></font></li>
	<ul type="disc">
	<br>Right clicking on a network will cause a menu to pop up.
	<br>Choose "<i><b>Add Host</b></i>" and a host will be added to the network.
	<br><img src="2.jpg">
	<br>
	<br><a href="#Why can't I add a host to a network?"><b>FAQ</b></a> - "<i><b>Add Host</b></i>" is disabled. Why can't I add a host to a network?
	<br><a href="#How does a host gets its IP address?"><b>FAQ</b></a> - How does a host gets its IP address?
	<br>
	<br></ul>
<li><a name="Removing a host"></a><u>Remove a host</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Host">Host</a></font></li>
	<ul type="disc">
	<br>Right clicking on a host will cause a menu to pop up.
	<br>Choose "<i><b>Remove Host</b></i>". The host will be removed from the main panel.
	<br><img src="26.jpg"><br></ul>
</ul>

<br><br>---------------------------------------------------------------------------<br><br>

<img src="10.gif"><br>
<b>Datagram</b> <ul type="disc">
<li><a name="Adding a datagram"></a><u>Add a datagram</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Datagram">Datagram</a></font></li>
	<ul type="disc">
	<br>Right clicking on the main panel will cause a menu to pop up.
	<br>Choose "<i><b>Add Datagram</b></i>" and a new datagram will show up on the main panel.
	<br><img src="1.jpg">
	<br>
	<br></ul>
<li><a name="Editing a datagram"></a><u>Edit a datagram</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Datagram">Datagram</a></font></li>
	<ul type="disc"><br>
	<li><a name="Setting a datagram's source & target hosts"></a><u>Set a datagram's source & target hosts</u></li>
		<ul type="disc">
		<br>Right clicking on a datagram will cause a menu to pop up.
		<br>Choose "<i><b>Set Source & Target</b></i>".
		<br><img src="34.jpg">
		<br>
		<br>A bar saying you now have to select the source host will appear
		<br>at the head of the panel.
		<br><img src="36.jpg">
		<br>
		<br>You can, obviously, select only one source.
		<br>Select the source host by clicking it.
		<br>A successful selection will result in marking the host with a green rectangle.
		<br><img src="18.jpg">
		<br>
		<br>When finishing selecting the source host, click "<i><b>Done</b></i>" at the bar at the head of the panel.
		<br>The bar will then instruct you to select the target host.
		<br><img src="37.jpg">
		<br>
		<br>Repeat the process above for the target host.
		<br>
		<br></ul>
	<li><a name="Setting a datagram's source host"></a><u>Set a datagram's source host</u>
	<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Datagram">Datagram</a></font></li>
		<ul type="disc">
		<br>Right clicking on a datagram will cause a menu to pop up.
		<br>Choose "<i><b>Set Source Only</b></i>".
		<br><img src="33.jpg">
		<br>
		<br>A bar saying you now have to select the source host will appear
		<br>at the head of the panel.
		<br><img src="36.jpg">
		<br>
		<br>You can, obviously, select only one source.
		<br>Select the source host by clicking it.
		<br>A successful selection will result in marking the host with a green rectangle.
		<br><img src="18.jpg">
		<br>
		<br>When finishing selecting the source host, click "<i><b>Done</b></i>" at the bar at the head of the panel.
		<br>
		<br></ul>
	<li><a name="Setting a datagram's target host"></a><u>Set a datagram's target host</u>
	<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Datagram">Datagram</a></font></li>
		<ul type="disc">
		<br>Right clicking on a datagram will cause a menu to pop up.
		<br>Choose "<i><b>Set Target Only</b></i>".
		<br><img src="35.jpg">
		<br>
		<br>A bar saying you now have to select the target host will appear
		<br>at the head of the panel.
		<br><img src="37.jpg">
		<br>
		<br>You can, obviously, select only one target.
		<br>Select the target host by clicking it.
		<br>A successful selection will result in marking the host with a green rectangle.
		<br><img src="18.jpg">
		<br>
		<br>When finishing selecting the target host, click "<i><b>Done</b></i>" at the bar at the head of the panel.
		<br>
		<br></ul>
	<li><a name="Setting a datagram's length"></a><u>Set a datagram's length</u>
	<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Datagram">Datagram</a></font></li>
		<ul type="disc">
		<br>Right clicking on a datagram will cause a menu to pop up.
		<br>Choose "<i><b>Edit Datagram</b></i>". A window with the datagram properties will be opened.
		<br><img src="14.jpg">
		<br>
		<br>Double-clicking on a datagram will also open the same window.
		<br>
		<br>In that window you can select the datagram's length at the appropriate field.
		<br><img src="11.jpg">
		<br>
		<br></ul>
	<li><a name="Setting a datagram's TTL"></a><u>Set a datagram's TTL</u>
	<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Datagram">Datagram</a></font></li>
		<ul type="disc">
		<br>Right clicking on a datagram will cause a menu to pop up.
		<br>Choose "<i><b>Edit Datagram</b></i>". A window with the datagram properties will be opened.
		<br><img src="14.jpg">
		<br>
		<br>Double-clicking on a datagram will also open the same window.
		<br>
		<br>In that window you can select the datagram's TTL at the appropriate field.
		<br><img src="12.jpg">
		<br>
		<br></ul>
	</ul>
<li><a name="Sending a datagram"></a><u>Send a datagram</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Datagram">Datagram</a></font></li>
	<ul type="disc">
	<br>Right clicking on a datagram will cause a menu to pop up.
	<br>Choose "<i><b>Send Datagram</b></i>" and the datagram will be sent.
	<br><img src="31.jpg">
	<br>
	<br>While sending a datagram a bar appears at the head of the main panel.
	<br>This bar gives information concerning the datagram traveling through the network.
	<br><img src="38.jpg">
	<br>
	<br>The "<b><i>Stop Simulation</i></b>" button will stop the simulation a short time after pressing it.
	<br>
	<br>When arriving a network, the bar will show the network's MTU:
	<br><img src="39.jpg">
	<br>
	<br>When arriving a router, the bar will show the entry in the router routing table that was chosen:
	<br><img src="40.jpg">
	<br>
	<br>The bar is also used for error reporting in the sending process.
	<br>For example:
	<br><img src="41.jpg">
	<br><img src="42.jpg">
	<br>And more...
	<br>
	<br><u>Datagram Fragmentation</u>
	<br>In case the datagram has to be fragmented, the datagram icon will be changed from &nbsp; <img src="10.gif"> &nbsp; to &nbsp;<img src="44.gif">.
	<br>Also, the number of fragments will be shown in the brackets, next to the fragmented datagram icon:
	<br><img src="45.jpg">
	<br>
	<br>More information concerning the number of fragments, and the length of each fragment can be found
	<br>in the bar at the head of the main panel:
	<br><img src="46.jpg">
	<br>
	<br><a href="#Why can't I send a datagram?"><b>FAQ</b></a> - "<i><b>Send Datagram</b></i>" is disabled. Why can't I send my datagram?
	<br>
	<br></ul>
<li><a name="Removing a datagram"></a><u>Remove a datagram</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#Datagram">Datagram</a></font></li>
	<ul type="disc">
	<br>Right clicking on a datagram will cause a menu to pop up.
	<br>Choose "<i><b>Remove Datagram</b></i>". The datagram will be removed from the main panel.
	<br><img src="25.jpg">
	<br>
	<br></ul>
</ul>

<br><br>---------------------------------------------------------------------------<br><br>


<b>FAQ</b> <ul type="disc">
<li><a name="PlaceNetworks"></a><u>What is the purpose of "<b><i>Place Networks</i></b>"?</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#FAQ">FAQ</a></font></li>
	<ul type="disc">
	<br>"<b><i>Place Networks</i></b>" menu item allows you to use predefined networks.
	<br>These networks are built-in in the applet.
	<br>After placing them on the panel, you may edit them as you like.
	<br><img src="23.jpg">
	<br>
	<br>Three networks are available in the "<b><i>Place Networks</i></b>" menu:
	<br>
	<br>
	<ol type="i" start="1">
		<li><b>Star</b> - This network is constructed of three main networks connected using
		<br>a router to each other. Each of these main networks is connected to another two
		<br>"sub-networks".
		<br>Hosts are allocated only in the "sub-networks".
		<br>All routers are already configured to transfer datagrams between the hosts.
		<br>Determine datagram's source and target, and send it.
		<br>
		<br>
		</li>
		<li><b>Loop</b> - This network simulates an error in the configuration of the routers.
		<br>The source and the target of the datagram are already determined.
		<br>Simply send the datagram and watch what happens.
		<br>
		<br>
		</li>
		<li><b>Long</b> - This network is constructed of a list of routers and networks.
		<br>Routers are not configured.
		<br>You may add networks, hosts, routers, datagrams and configure them as you like.
		<br>
		<br>
		</li>
	</ol>
</ul>
<li><a name="Why can't I add a host to a network?"></a><u>Why can't I add a host to a network?</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#FAQ">FAQ</a></font></li>
	<ul type="disc">
	<br>First <a href="#IPPoolDefine">define an IP address for your network</a>.
	<br>Then, you will be able to add hosts to your network.
	<br>
	<br></ul>
<li><a name="RemoveAll"></a><u>How can I remove all objects from main panel?</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#FAQ">FAQ</a></font></li>
	<ul type="disc">
	<br>A right click on the main panel will open a pop-up menu.
	<br>Select "<i><b>Remove All</b></i>" and the main panel will be cleaned of objects.
	<br><img src="24.jpg">
	<br>
<br></ul>
<li><a name="Why can't I send a datagram?"></a><u>Why can't I send a datagram?</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#FAQ">FAQ</a></font></li>
	<ul type="disc">
	<br>First <a href="#Setting a datagram's source & target hosts">define the datagram's source and target</a>.
	<br>Then, you will be able to send the datagram.
	<br>
	<br></ul>
<li><a name="How does a host gets its IP address?"></a><u>How does a host get its IP address?</u>
<br><font color="black" size="2" face="arial">Back to: <a href="#Top">Top</a> | <a href="#Questions">Questions</a> | <a href="#FAQ">FAQ</a></font></li>
	<ul type="disc">
	<br> After the user has defined an IP address for a network, the network is responsible for allocating IP
	<br> addresses for any peripherals (hosts and routers) that are connected to it. The pool of addresses
	<br> is defined by network address. When creating a new host or connecting a router to the network, a free
	<br> address from the pool is allocated. When a host is being removed or a router is being disconnected
	<br> from a network, its IP address is deallocated and returned to pool.
	<br>
	<br> Please note that allocation of addresses is not necessarily successive (e.g. for class C network
	<br> 192.168.2.0 allocation of addresses for 2 hosts might return 192.168.2.1 and 192.168.2.3).
	</ul>
</ul>

</font>

</BODY>
</HTML>